pcl::poisson::Cube Class Reference

`#include <pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h>`

## Public Types

enum | { CORNERS =8, EDGES =12, NEIGHBORS =6 }

## Static Public Member Functions

static int | CornerIndex (int x, int y, int z)
static void | FactorCornerIndex (int idx, int &x, int &y, int &z)
static int | EdgeIndex (int orientation, int i, int j)
static void | FactorEdgeIndex (int idx, int &orientation, int &i, int &j)
static int | FaceIndex (int dir, int offSet)
static int | FaceIndex (int x, int y, int z)
static void | FactorFaceIndex (int idx, int &x, int &y, int &z)
static void | FactorFaceIndex (int idx, int &dir, int &offSet)
static int | AntipodalCornerIndex (int idx)
static int | FaceReflectCornerIndex (int idx, int faceIndex)
static int | FaceReflectEdgeIndex (int idx, int faceIndex)
static int | FaceReflectFaceIndex (int idx, int faceIndex)
static int | EdgeReflectCornerIndex (int idx, int edgeIndex)
static int | EdgeReflectEdgeIndex (int edgeIndex)
static int | FaceAdjacentToEdges (int eIndex1, int eIndex2)
static void | FacesAdjacentToEdge (int eIndex, int &f1Index, int &f2Index)
static void | EdgeCorners (int idx, int &c1, int &c2)
static void | FaceCorners (int idx, int &c1, int &c2, int &c3, int &c4)

## Detailed Description

Definition at line 57 of file marching_cubes_poisson.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
CORNERS |
EDGES |
NEIGHBORS |

Definition at line 60 of file marching_cubes_poisson.h.

## Member Function Documentation

static int pcl::poisson::Cube::AntipodalCornerIndex | ( | int | idx | ) |

static

static int pcl::poisson::Cube::CornerIndex | ( | int | x,
|  | int | y,
|  | int | z
| ) |  |

static

Referenced by pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::initChildren(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set(), and pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors().

static void pcl::poisson::Cube::EdgeCorners | ( | int | idx,
|  | int & | c1,
|  | int & | c2
| ) |  |

static

Referenced by pcl::poisson::OctNode< NodeData, Real >::processNodeEdges().

static int pcl::poisson::Cube::EdgeIndex | ( | int | orientation,
|  | int | i,
|  | int | j
| ) |  |

static

static int pcl::poisson::Cube::EdgeReflectCornerIndex | ( | int | idx,
|  | int | edgeIndex
| ) |  |

static

static int pcl::poisson::Cube::EdgeReflectEdgeIndex | ( | int | edgeIndex | ) |

static

static int pcl::poisson::Cube::FaceAdjacentToEdges | ( | int | eIndex1,
|  | int | eIndex2
| ) |  |

static

static void pcl::poisson::Cube::FaceCorners | ( | int | idx,
|  | int & | c1,
|  | int & | c2,
|  | int & | c3,
|  | int & | c4
| ) |  |

static

Referenced by pcl::poisson::OctNode< NodeData, Real >::processNodeFaces().

static int pcl::poisson::Cube::FaceIndex | ( | int | dir,
|  | int | offSet
| ) |  |

static

static int pcl::poisson::Cube::FaceIndex | ( | int | x,
|  | int | y,
|  | int | z
| ) |  |

static

static int pcl::poisson::Cube::FaceReflectCornerIndex | ( | int | idx,
|  | int | faceIndex
| ) |  |

static

static int pcl::poisson::Cube::FaceReflectEdgeIndex | ( | int | idx,
|  | int | faceIndex
| ) |  |

static

static int pcl::poisson::Cube::FaceReflectFaceIndex | ( | int | idx,
|  | int | faceIndex
| ) |  |

static

static void pcl::poisson::Cube::FacesAdjacentToEdge | ( | int | eIndex,
|  | int & | f1Index,
|  | int & | f2Index
| ) |  |

static

static void pcl::poisson::Cube::FactorCornerIndex | ( | int | idx,
|  | int & | x,
|  | int & | y,
|  | int & | z
| ) |  |

static

Referenced by pcl::poisson::OctNode< NodeData, Real >::edgeNeighbor(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey5::getNeighbors(), pcl::poisson::OctNode< NodeData, Real >::NeighborKey3::set(), pcl::poisson::OctNode< NodeData, Real >::ConstNeighborKey3::set(), and pcl::poisson::OctNode< NodeData, Real >::NeighborKey5::setNeighbors().

static void pcl::poisson::Cube::FactorEdgeIndex | ( | int | idx,
|  | int & | orientation,
|  | int & | i,
|  | int & | j
| ) |  |

static

Referenced by pcl::poisson::OctNode< NodeData, Real >::CommonEdge(), and pcl::poisson::OctNode< NodeData, Real >::edgeNeighbor().

static void pcl::poisson::Cube::FactorFaceIndex | ( | int | idx,
|  | int & | x,
|  | int & | y,
|  | int & | z
| ) |  |

static

static void pcl::poisson::Cube::FactorFaceIndex | ( | int | idx,
|  | int & | dir,
|  | int & | offSet
| ) |  |

static

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h